linux-headers-3.13.0-24-generic E: Sub-process /usr/bin/dpkg returned an error code (1)

Asked by prateek on 2014-09-05

Removing linux-headers-3.13.0-24-generic (3.13.0-24.47) ...
dpkg: error processing package linux-headers-3.13.0-24-generic (--remove):
 unable to securely remove '/usr/src/linux-headers-3.13.0-24-generic/include/config/ip/vs/sh/tab/bits.h': Not a directory
Errors were encountered while processing:
 linux-headers-3.13.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
vishu@vishu-Extensa-4630:~$ sudo apt-get clean
vishu@vishu-Extensa-4630:~$ sudo apt-get update
Ign http://dl.google.com stable InRelease
Ign http://archive.ubuntu.com trusty InRelease
Ign http://extras.ubuntu.com trusty InRelease
Get:1 http://dl.google.com stable Release.gpg [198 B]
Get:2 http://deb.opera.com stable InRelease [2,587 B]
Get:3 http://dl.google.com stable Release [1,347 B]
Hit http://extras.ubuntu.com trusty Release.gpg
Ign http://archive.ubuntu.com trusty-updates InRelease
Get:4 http://deb.opera.com stable/non-free i386 Packages [933 B]
Get:5 http://dl.google.com stable/main i386 Packages [1,195 B]
Hit http://extras.ubuntu.com trusty Release
Ign http://archive.ubuntu.com trusty-backports InRelease
Ign http://archive.ubuntu.com trusty-security InRelease
Hit http://extras.ubuntu.com trusty/main Sources
Hit http://archive.ubuntu.com trusty Release.gpg
Hit http://extras.ubuntu.com trusty/main i386 Packages
Get:6 http://archive.ubuntu.com trusty-updates Release.gpg [933 B]
Ign https://private-ppa.launchpad.net trusty InRelease
Get:7 http://archive.ubuntu.com trusty-backports Release.gpg [933 B]
Get:8 http://archive.ubuntu.com trusty-security Release.gpg [933 B]
Hit https://private-ppa.launchpad.net trusty Release
Hit http://archive.ubuntu.com trusty Release
Ign http://deb.opera.com stable/non-free Translation-en_IN
Ign http://dl.google.com stable/main Translation-en_IN
Get:9 http://archive.ubuntu.com trusty-updates Release [59.7 kB]
Hit https://private-ppa.launchpad.net trusty/main i386 Packages
Ign http://deb.opera.com stable/non-free Translation-en
Ign http://dl.google.com stable/main Translation-en
Ign http://extras.ubuntu.com trusty/main Translation-en_IN
Get:10 http://archive.ubuntu.com trusty-backports Release [59.7 kB]
Ign http://extras.ubuntu.com trusty/main Translation-en
Get:11 http://archive.ubuntu.com trusty-security Release [59.7 kB]
Hit http://archive.ubuntu.com trusty/main Sources
Hit http://archive.ubuntu.com trusty/restricted Sources
Ign https://private-ppa.launchpad.net trusty/main Translation-en_IN
Hit http://archive.ubuntu.com trusty/universe Sources
Ign https://private-ppa.launchpad.net trusty/main Translation-en
Hit http://archive.ubuntu.com trusty/multiverse Sources
Hit http://archive.ubuntu.com trusty/main i386 Packages
Hit http://archive.ubuntu.com trusty/restricted i386 Packages
Hit http://archive.ubuntu.com trusty/universe i386 Packages
Hit http://archive.ubuntu.com trusty/multiverse i386 Packages
Hit http://archive.ubuntu.com trusty/main Translation-en
Hit http://archive.ubuntu.com trusty/multiverse Translation-en
Hit http://archive.ubuntu.com trusty/restricted Translation-en
Hit http://archive.ubuntu.com trusty/universe Translation-en
Get:12 http://archive.ubuntu.com trusty-updates/main Sources [116 kB]
Get:13 http://archive.ubuntu.com trusty-updates/restricted Sources [1,408 B]
Get:14 http://archive.ubuntu.com trusty-updates/universe Sources [82.6 kB]
Get:15 http://archive.ubuntu.com trusty-updates/multiverse Sources [3,230 B]
Get:16 http://archive.ubuntu.com trusty-updates/main i386 Packages [304 kB]
Get:17 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [5,820 B]
Get:18 http://archive.ubuntu.com trusty-updates/universe i386 Packages [200 kB]
Get:19 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [8,437 B]
Get:20 http://archive.ubuntu.com trusty-updates/main Translation-en [138 kB]
Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
Get:21 http://archive.ubuntu.com trusty-updates/universe Translation-en [99.1 kB]
Get:22 http://archive.ubuntu.com trusty-backports/main Sources [3,847 B]
Get:23 http://archive.ubuntu.com trusty-backports/restricted Sources [14 B]
Get:24 http://archive.ubuntu.com trusty-backports/universe Sources [12.3 kB]
Get:25 http://archive.ubuntu.com trusty-backports/multiverse Sources [1,315 B]
Get:26 http://archive.ubuntu.com trusty-backports/main i386 Packages [5,414 B]
Get:27 http://archive.ubuntu.com trusty-backports/restricted i386 Packages [14 B]
Get:28 http://archive.ubuntu.com trusty-backports/universe i386 Packages [15.5 kB]
Get:29 http://archive.ubuntu.com trusty-backports/multiverse i386 Packages [945 B]
Hit http://archive.ubuntu.com trusty-backports/main Translation-en
Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en
Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en
Get:30 http://archive.ubuntu.com trusty-backports/universe Translation-en [10.1 kB]
Get:31 http://archive.ubuntu.com trusty-security/main Sources [43.5 kB]
Get:32 http://archive.ubuntu.com trusty-security/restricted Sources [14 B]
Get:33 http://archive.ubuntu.com trusty-security/universe Sources [10.8 kB]
Get:34 http://archive.ubuntu.com trusty-security/multiverse Sources [699 B]
Get:35 http://archive.ubuntu.com trusty-security/main i386 Packages [132 kB]
Get:36 http://archive.ubuntu.com trusty-security/restricted i386 Packages [14 B]
Get:37 http://archive.ubuntu.com trusty-security/universe i386 Packages [47.2 kB]
Get:38 http://archive.ubuntu.com trusty-security/multiverse i386 Packages [1,398 B]
Get:39 http://archive.ubuntu.com trusty-security/main Translation-en [66.5 kB]
Hit http://archive.ubuntu.com trusty-security/multiverse Translation-en
Hit http://archive.ubuntu.com trusty-security/restricted Translation-en
Get:40 http://archive.ubuntu.com trusty-security/universe Translation-en [27.0 kB]
Ign http://archive.ubuntu.com trusty/main Translation-en_IN
Ign http://archive.ubuntu.com trusty/multiverse Translation-en_IN
Ign http://archive.ubuntu.com trusty/restricted Translation-en_IN
Ign http://archive.ubuntu.com trusty/universe Translation-en_IN
Fetched 1,524 kB in 38s (39.9 kB/s)
Reading package lists... Done
vishu@vishu-Extensa-4630:~$ sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  linux-headers-3.13.0-24-generic
0 upgraded, 0 newly installed, 1 to remove and 49 not upgraded.
1 not fully installed or removed.
After this operation, 13.0 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.
vishu@vishu-Extensa-4630:~$ sudo apt-get
apt 1.0.1ubuntu2 for i386 compiled on Jun 13 2014 17:41:42
Usage: apt-get [options] command
       apt-get [options] install|remove pkg1 [pkg2 ...]
       apt-get [options] source pkg1 [pkg2 ...]

apt-get is a simple command line interface for downloading and
installing packages. The most frequently used commands are update
and install.

Commands:
   update - Retrieve new lists of packages
   upgrade - Perform an upgrade
   install - Install new packages (pkg is libc6 not libc6.deb)
   remove - Remove packages
   autoremove - Remove automatically all unused packages
   purge - Remove packages and config files
   source - Download source archives
   build-dep - Configure build-dependencies for source packages
   dist-upgrade - Distribution upgrade, see apt-get(8)
   dselect-upgrade - Follow dselect selections
   clean - Erase downloaded archive files
   autoclean - Erase old downloaded archive files
   check - Verify that there are no broken dependencies
   changelog - Download and display the changelog for the given package
   download - Download the binary package into the current directory

Options:
  -h This help text.
  -q Loggable output - no progress indicator
  -qq No output except for errors
  -d Download only - do NOT install or unpack archives
  -s No-act. Perform ordering simulation
  -y Assume Yes to all queries and do not prompt
  -f Attempt to correct a system with broken dependencies in place
  -m Attempt to continue if archives are unlocatable
  -u Show a list of upgraded packages as well
  -b Build the source package after fetching it
  -V Show verbose version numbers
  -c=? Read this configuration file
  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp
See the apt-get(8), sources.list(5) and apt.conf(5) manual
pages for more information and options.
                       This APT has Super Cow Powers.
vishu@vishu-Extensa-4630:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  linux-headers-3.13.0-24
The following packages will be upgraded:
  firefox firefox-locale-en firefox-locale-hi fonts-opensymbol
  gir1.2-gudev-1.0 irqbalance libgcrypt11 libgudev-1.0-0 liboxideqt-qmlplugin
  liboxideqtcore0 libpam-systemd libreoffice-avmedia-backend-gstreamer
  libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core
  libreoffice-draw libreoffice-gnome libreoffice-gtk libreoffice-help-en-gb
  libreoffice-help-en-us libreoffice-help-hi libreoffice-impress
  libreoffice-l10n-en-gb libreoffice-l10n-en-za libreoffice-l10n-hi
  libreoffice-math libreoffice-ogltrans libreoffice-pdfimport
  libreoffice-presentation-minimizer libreoffice-style-human
  libreoffice-writer libsystemd-daemon0 libsystemd-journal0 libsystemd-login0
  libudev1 oxideqt-codecs python3-uno rsyslog shotwell shotwell-common
  systemd-services ubuntu-drivers-common udev uno-libs3 ure xserver-common
  xserver-xorg-core xserver-xorg-video-intel
49 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 153 MB of archives.
After this operation, 70.6 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-3.13.0-24 all 3.13.0-24.47 [8,865 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-3.13.0-24-generic i386 3.13.0-24.47 [699 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgcrypt11 i386 1.5.3-2ubuntu4.1 [237 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty-updates/main udev i386 204-5ubuntu20.5 [738 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libudev1 i386 204-5ubuntu20.5 [34.2 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libpam-systemd i386 204-5ubuntu20.5 [25.3 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ trusty-updates/main systemd-services i386 204-5ubuntu20.5 [198 kB]
Get:8 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libsystemd-daemon0 i386 204-5ubuntu20.5 [9,734 B]
Get:9 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libsystemd-login0 i386 204-5ubuntu20.5 [27.1 kB]
Get:10 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgudev-1.0-0 i386 1:204-5ubuntu20.5 [13.7 kB]
Get:11 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-calc i386 1:4.2.6.3-0ubuntu1 [5,818 kB]
Get:12 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-gnome i386 1:4.2.6.3-0ubuntu1 [87.3 kB]
Get:13 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-gtk i386 1:4.2.6.3-0ubuntu1 [217 kB]
Get:14 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-impress i386 1:4.2.6.3-0ubuntu1 [1,183 kB]
Get:15 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-writer i386 1:4.2.6.3-0ubuntu1 [9,371 kB]
Get:16 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-common all 1:4.2.6.3-0ubuntu1 [19.8 MB]
Get:17 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-pdfimport i386 1:4.2.6.3-0ubuntu1 [218 kB]
Get:18 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-base-core i386 1:4.2.6.3-0ubuntu1 [699 kB]
Get:19 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-math i386 1:4.2.6.3-0ubuntu1 [355 kB]
Get:20 http://archive.ubuntu.com/ubuntu/ trusty-updates/main python3-uno i386 1:4.2.6.3-0ubuntu1 [119 kB]
Get:21 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-ogltrans i386 1:4.2.6.3-0ubuntu1 [74.4 kB]
Get:22 http://archive.ubuntu.com/ubuntu/ trusty-updates/main uno-libs3 i386 4.2.6.3-0ubuntu1 [605 kB]
Get:23 http://archive.ubuntu.com/ubuntu/ trusty-updates/main ure i386 4.2.6.3-0ubuntu1 [1,617 kB]
Get:24 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-draw i386 1:4.2.6.3-0ubuntu1 [2,372 kB]
Get:25 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-core i386 1:4.2.6.3-0ubuntu1 [26.7 MB]
Get:26 http://archive.ubuntu.com/ubuntu/ trusty-updates/main fonts-opensymbol all 2:102.6+LibO4.2.6.3-0ubuntu1 [110 kB]
Get:27 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-style-human all 1:4.2.6.3-0ubuntu1 [1,741 kB]
Get:28 http://archive.ubuntu.com/ubuntu/ trusty-updates/main ubuntu-drivers-common i386 1:0.2.91.6 [41.4 kB]
Get:29 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libsystemd-journal0 i386 204-5ubuntu20.5 [53.9 kB]
Get:30 http://archive.ubuntu.com/ubuntu/ trusty-updates/main rsyslog i386 7.4.4-1ubuntu2.1 [352 kB]
Get:31 http://archive.ubuntu.com/ubuntu/ trusty-updates/main irqbalance i386 1.0.6-2ubuntu0.14.04.1 [30.5 kB]
Get:32 http://archive.ubuntu.com/ubuntu/ trusty-updates/main firefox i386 32.0+build1-0ubuntu0.14.04.1 [34.4 MB]
Get:33 http://archive.ubuntu.com/ubuntu/ trusty-updates/main firefox-locale-en i386 32.0+build1-0ubuntu0.14.04.1 [602 kB]
Get:34 http://archive.ubuntu.com/ubuntu/ trusty-updates/main firefox-locale-hi i386 32.0+build1-0ubuntu0.14.04.1 [418 kB]
Get:35 http://archive.ubuntu.com/ubuntu/ trusty-updates/main gir1.2-gudev-1.0 i386 1:204-5ubuntu20.5 [5,502 B]
Get:36 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-avmedia-backend-gstreamer i386 1:4.2.6.3-0ubuntu1 [36.3 kB]
Get:37 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-l10n-en-gb all 1:4.2.6.3-0ubuntu1 [461 kB]
Get:38 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-help-en-gb all 1:4.2.6.3-0ubuntu1 [2,224 kB]
Get:39 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-help-en-us all 1:4.2.6.3-0ubuntu1 [2,252 kB]
Get:40 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-l10n-hi all 1:4.2.6.3-0ubuntu1 [412 kB]
Get:41 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-help-hi all 1:4.2.6.3-0ubuntu1 [2,482 kB]
Get:42 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-l10n-en-za all 1:4.2.6.3-0ubuntu1 [376 kB]
Get:43 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libreoffice-presentation-minimizer all 1:4.2.6.3-0ubuntu1 [26.5 kB]
Get:44 http://archive.ubuntu.com/ubuntu/ trusty-updates/main shotwell-common all 0.18.0-0ubuntu4.2 [478 kB]
Get:45 http://archive.ubuntu.com/ubuntu/ trusty-updates/main shotwell i386 0.18.0-0ubuntu4.2 [1,407 kB]
Get:46 http://archive.ubuntu.com/ubuntu/ trusty-updates/main xserver-common all 2:1.15.1-0ubuntu2.1 [27.5 kB]
Get:47 http://archive.ubuntu.com/ubuntu/ trusty-updates/main xserver-xorg-core i386 2:1.15.1-0ubuntu2.1 [1,189 kB]
Get:48 http://archive.ubuntu.com/ubuntu/ trusty-updates/main xserver-xorg-video-intel i386 2:2.99.910-0ubuntu1.1 [594 kB]
Get:49 http://archive.ubuntu.com/ubuntu/ trusty-updates/main liboxideqt-qmlplugin i386 1.1.2-0ubuntu0.14.04.1 [241 kB]
Get:50 http://archive.ubuntu.com/ubuntu/ trusty-updates/main liboxideqtcore0 i386 1.1.2-0ubuntu0.14.04.1 [22.5 MB]
Get:51 http://archive.ubuntu.com/ubuntu/ trusty-updates/main oxideqt-codecs i386 1.1.2-0ubuntu0.14.04.1 [521 kB]
Fetched 153 MB in 14min 45s (173 kB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously unselected package linux-headers-3.13.0-24.
(Reading database ... 273101 files and directories currently installed.)
Preparing to unpack .../linux-headers-3.13.0-24_3.13.0-24.47_all.deb ...
Unpacking linux-headers-3.13.0-24 (3.13.0-24.47) ...
Preparing to unpack .../libgcrypt11_1.5.3-2ubuntu4.1_i386.deb ...
Unpacking libgcrypt11:i386 (1.5.3-2ubuntu4.1) over (1.5.3-2ubuntu4) ...
Preparing to unpack .../udev_204-5ubuntu20.5_i386.deb ...
Adding 'diversion of /bin/udevadm to /bin/udevadm.upgrade by fake-udev'
Unpacking udev (204-5ubuntu20.5) over (204-5ubuntu20.4) ...
Preparing to unpack .../libudev1_204-5ubuntu20.5_i386.deb ...
Unpacking libudev1:i386 (204-5ubuntu20.5) over (204-5ubuntu20.4) ...
Preparing to unpack .../libpam-systemd_204-5ubuntu20.5_i386.deb ...
systemd-logind stop/waiting
Unpacking libpam-systemd:i386 (204-5ubuntu20.5) over (204-5ubuntu20.4) ...
Preparing to unpack .../systemd-services_204-5ubuntu20.5_i386.deb ...
Unpacking systemd-services (204-5ubuntu20.5) over (204-5ubuntu20.4) ...
Preparing to unpack .../libsystemd-daemon0_204-5ubuntu20.5_i386.deb ...
Unpacking libsystemd-daemon0:i386 (204-5ubuntu20.5) over (204-5ubuntu20.4) ...
Preparing to unpack .../libsystemd-login0_204-5ubuntu20.5_i386.deb ...
Unpacking libsystemd-login0:i386 (204-5ubuntu20.5) over (204-5ubuntu20.4) ...
Preparing to unpack .../libgudev-1.0-0_1%3a204-5ubuntu20.5_i386.deb ...
Unpacking libgudev-1.0-0:i386 (1:204-5ubuntu20.5) over (1:204-5ubuntu20.4) ...
Preparing to unpack .../libreoffice-calc_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-calc (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-gnome_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-gnome (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-gtk_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-gtk (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-impress_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-impress (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-writer_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-writer (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-common_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-common (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-pdfimport_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-pdfimport (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-base-core_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-base-core (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-math_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-math (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../python3-uno_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking python3-uno (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-ogltrans_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-ogltrans (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../uno-libs3_4.2.6.3-0ubuntu1_i386.deb ...
Unpacking uno-libs3 (4.2.6.3-0ubuntu1) over (4.2.4-0ubuntu2) ...
Preparing to unpack .../ure_4.2.6.3-0ubuntu1_i386.deb ...
Unpacking ure (4.2.6.3-0ubuntu1) over (4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-draw_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-draw (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-core_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-core (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../fonts-opensymbol_2%3a102.6+LibO4.2.6.3-0ubuntu1_all.deb ...
Unpacking fonts-opensymbol (2:102.6+LibO4.2.6.3-0ubuntu1) over (2:102.6+LibO4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-style-human_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-style-human (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../ubuntu-drivers-common_1%3a0.2.91.6_i386.deb ...
Unpacking ubuntu-drivers-common (1:0.2.91.6) over (1:0.2.91.5) ...
Preparing to unpack .../libsystemd-journal0_204-5ubuntu20.5_i386.deb ...
Unpacking libsystemd-journal0:i386 (204-5ubuntu20.5) over (204-5ubuntu20.4) ...
Preparing to unpack .../rsyslog_7.4.4-1ubuntu2.1_i386.deb ...
Unpacking rsyslog (7.4.4-1ubuntu2.1) over (7.4.4-1ubuntu2) ...
Preparing to unpack .../irqbalance_1.0.6-2ubuntu0.14.04.1_i386.deb ...
Unpacking irqbalance (1.0.6-2ubuntu0.14.04.1) over (1.0.6-2) ...
Preparing to unpack .../firefox_32.0+build1-0ubuntu0.14.04.1_i386.deb ...
Unpacking firefox (32.0+build1-0ubuntu0.14.04.1) over (31.0+build1-0ubuntu0.14.04.1) ...
Preparing to unpack .../firefox-locale-en_32.0+build1-0ubuntu0.14.04.1_i386.deb ...
Unpacking firefox-locale-en (32.0+build1-0ubuntu0.14.04.1) over (31.0+build1-0ubuntu0.14.04.1) ...
Preparing to unpack .../firefox-locale-hi_32.0+build1-0ubuntu0.14.04.1_i386.deb ...
Unpacking firefox-locale-hi (32.0+build1-0ubuntu0.14.04.1) over (31.0+build1-0ubuntu0.14.04.1) ...
Preparing to unpack .../gir1.2-gudev-1.0_1%3a204-5ubuntu20.5_i386.deb ...
Unpacking gir1.2-gudev-1.0 (1:204-5ubuntu20.5) over (1:204-5ubuntu20.4) ...
Preparing to unpack .../libreoffice-avmedia-backend-gstreamer_1%3a4.2.6.3-0ubuntu1_i386.deb ...
Unpacking libreoffice-avmedia-backend-gstreamer (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-l10n-en-gb_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-l10n-en-gb (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-help-en-gb_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-help-en-gb (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-help-en-us_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-help-en-us (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-l10n-hi_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-l10n-hi (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-help-hi_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-help-hi (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-l10n-en-za_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-l10n-en-za (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../libreoffice-presentation-minimizer_1%3a4.2.6.3-0ubuntu1_all.deb ...
Unpacking libreoffice-presentation-minimizer (1:4.2.6.3-0ubuntu1) over (1:4.2.4-0ubuntu2) ...
Preparing to unpack .../shotwell-common_0.18.0-0ubuntu4.2_all.deb ...
Unpacking shotwell-common (0.18.0-0ubuntu4.2) over (0.18.0-0ubuntu4.1) ...
Preparing to unpack .../shotwell_0.18.0-0ubuntu4.2_i386.deb ...
Unpacking shotwell (0.18.0-0ubuntu4.2) over (0.18.0-0ubuntu4.1) ...
Preparing to unpack .../xserver-common_2%3a1.15.1-0ubuntu2.1_all.deb ...
Unpacking xserver-common (2:1.15.1-0ubuntu2.1) over (2:1.15.1-0ubuntu2) ...
Preparing to unpack .../xserver-xorg-core_2%3a1.15.1-0ubuntu2.1_i386.deb ...
Unpacking xserver-xorg-core (2:1.15.1-0ubuntu2.1) over (2:1.15.1-0ubuntu2) ...
Preparing to unpack .../xserver-xorg-video-intel_2%3a2.99.910-0ubuntu1.1_i386.deb ...
Unpacking xserver-xorg-video-intel (2:2.99.910-0ubuntu1.1) over (2:2.99.910-0ubuntu1) ...
Preparing to unpack .../liboxideqt-qmlplugin_1.1.2-0ubuntu0.14.04.1_i386.deb ...
Unpacking liboxideqt-qmlplugin:i386 (1.1.2-0ubuntu0.14.04.1) over (1.0.5-0ubuntu0.14.04.1) ...
Preparing to unpack .../liboxideqtcore0_1.1.2-0ubuntu0.14.04.1_i386.deb ...
Unpacking liboxideqtcore0:i386 (1.1.2-0ubuntu0.14.04.1) over (1.0.5-0ubuntu0.14.04.1) ...
Preparing to unpack .../oxideqt-codecs_1.1.2-0ubuntu0.14.04.1_i386.deb ...
Unpacking oxideqt-codecs:i386 (1.1.2-0ubuntu0.14.04.1) over (1.0.5-0ubuntu0.14.04.1) ...
Processing triggers for man-db (2.6.7.1-1) ...
Processing triggers for ureadahead (0.100.0-16) ...
ureadahead will be reprofiled on next reboot
Processing triggers for menu (2.1.46ubuntu1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.54ubuntu1) ...
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Processing triggers for gnome-icon-theme (3.10.0-0ubuntu2) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for fontconfig (2.11.0-0ubuntu4.1) ...
Processing triggers for gconf2 (3.2.6-0ubuntu2) ...
Processing triggers for libglib2.0-0:i386 (2.40.0-2) ...
Setting up linux-headers-3.13.0-24 (3.13.0-24.47) ...
dpkg: error processing package linux-headers-3.13.0-24-generic (--configure):
 package linux-headers-3.13.0-24-generic is not ready for configuration
 cannot configure (current status `half-installed')
Setting up libgcrypt11:i386 (1.5.3-2ubuntu4.1) ...
Setting up libudev1:i386 (204-5ubuntu20.5) ...
Setting up udev (204-5ubuntu20.5) ...
udev stop/waiting
udev start/running, process 4943
Removing 'diversion of /bin/udevadm to /bin/udevadm.upgrade by fake-udev'
update-initramfs: deferring update (trigger activated)
Setting up libsystemd-daemon0:i386 (204-5ubuntu20.5) ...
Setting up systemd-services (204-5ubuntu20.5) ...
Setting up libpam-systemd:i386 (204-5ubuntu20.5) ...
systemd-logind start/running, process 5013
Setting up libsystemd-login0:i386 (204-5ubuntu20.5) ...
Setting up libgudev-1.0-0:i386 (1:204-5ubuntu20.5) ...
Setting up fonts-opensymbol (2:102.6+LibO4.2.6.3-0ubuntu1) ...
Setting up libreoffice-style-human (1:4.2.6.3-0ubuntu1) ...
Setting up uno-libs3 (4.2.6.3-0ubuntu1) ...
Setting up ure (4.2.6.3-0ubuntu1) ...
Setting up libreoffice-common (1:4.2.6.3-0ubuntu1) ...
Installing new version of config file /etc/bash_completion.d/libreoffice.sh ...
Setting up libreoffice-core (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-base-core (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-calc (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-gtk (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-gnome (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-draw (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-impress (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-writer (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-pdfimport (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-math (1:4.2.6.3-0ubuntu1) ...
Setting up python3-uno (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-ogltrans (1:4.2.6.3-0ubuntu1) ...
Setting up ubuntu-drivers-common (1:0.2.91.6) ...
Setting up libsystemd-journal0:i386 (204-5ubuntu20.5) ...
Setting up rsyslog (7.4.4-1ubuntu2.1) ...
Installing new version of config file /etc/rsyslog.conf ...
The user `syslog' is already a member of `adm'.
Skipping profile in /etc/apparmor.d/disable: usr.sbin.rsyslogd
rsyslog stop/waiting
rsyslog start/running, process 5262
Setting up irqbalance (1.0.6-2ubuntu0.14.04.1) ...
Installing new version of config file /etc/init/irqbalance.conf ...
irqbalance start/running, process 5312
Setting up firefox (32.0+build1-0ubuntu0.14.04.1) ...
Please restart all running instances of firefox, or you will experience problems.
Setting up firefox-locale-en (32.0+build1-0ubuntu0.14.04.1) ...
Setting up firefox-locale-hi (32.0+build1-0ubuntu0.14.04.1) ...
Setting up gir1.2-gudev-1.0 (1:204-5ubuntu20.5) ...
Setting up libreoffice-avmedia-backend-gstreamer (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-l10n-en-gb (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-help-en-gb (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-help-en-us (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-l10n-hi (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-help-hi (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-l10n-en-za (1:4.2.6.3-0ubuntu1) ...
Setting up libreoffice-presentation-minimizer (1:4.2.6.3-0ubuntu1) ...
Setting up shotwell-common (0.18.0-0ubuntu4.2) ...
Setting up shotwell (0.18.0-0ubuntu4.2) ...
Setting up xserver-common (2:1.15.1-0ubuntu2.1) ...
Setting up xserver-xorg-core (2:1.15.1-0ubuntu2.1) ...
Setting up xserver-xorg-video-intel (2:2.99.910-0ubuntu1.1) ...
Setting up oxideqt-codecs:i386 (1.1.2-0ubuntu0.14.04.1) ...
Setting up liboxideqtcore0:i386 (1.1.2-0ubuntu0.14.04.1) ...
Setting up liboxideqt-qmlplugin:i386 (1.1.2-0ubuntu0.14.04.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.3) ...
Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: Generating /boot/initrd.img-3.13.0-35-generic
Processing triggers for menu (2.1.46ubuntu1) ...
Processing triggers for ureadahead (0.100.0-16) ...
Processing triggers for libreoffice-common (1:4.2.6.3-0ubuntu1) ...
Errors were encountered while processing:
 linux-headers-3.13.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu linux Edit question
Assignee:
No assignee Edit question
Solved by:
prateek
Solved:
2014-09-08
Last query:
2014-09-08
Last reply:
2014-09-07
prateek (prateekhardia-80) said : #1

Errors were encountered while processing:
 linux-headers-3.13.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

problem with linux-headers-3.13.0-24-generic (as it is partially installed, now unable to remove and unable to install complete due to which cant add new packages or software or update)

What is the output of:

sudo apt-get --reinstall install linux-headers-3.13.0-24-generic

Does it install ok?

Than run:

sudo apt-get -f install

Is it ok?

prateek (prateekhardia-80) said : #3

thanx, it works (sudo apt-get --reinstall install linux-headers-3.13.0-24-generic). no error message after upgrade/update